/// @desc Draw self
if (draw_from(InstanceLayer)) {
  draw_set_color(color);
  draw_circle(leftFoot[X], leftFoot[Y], 2, false);
  draw_circle(rightFoot[X], rightFoot[Y], 2, false);
  
  draw_set_color(c_black);
  draw_circle(leftFoot[X], leftFoot[Y], 2, true);
  draw_circle(rightFoot[X], rightFoot[Y], 2, true);
  
  if (face_dir == UP) {
    draw_set_color(color);
    draw_circle(leftHand[X], leftHand[Y], 4, false);
    draw_circle(rightHand[X], rightHand[Y], 4, false);
    
    draw_set_color(c_black);
    draw_circle(leftHand[X], leftHand[Y], 4, true);
    draw_circle(rightHand[X], rightHand[Y], 4, true);
  }
  
  draw_sprite_ext(
    sprite_index, image_index,
    x,
    y + z,
    1 - z / 1000,
    1 - z / 1000,
    0,
    color,
    1
   );
   
   if (face_dir == DOWN) {
     draw_sprite_ext(
      spr_inhabitant_face, coughed ? 5 : median(0, floor(corona_level - 1), 4),
      x,
      y + z,
      1 - z / 1000,
      1 - z / 1000,
      0,
      c_white,
      1
     );
     
     draw_set_color(color);
     draw_circle(leftHand[X], leftHand[Y], 4, false);
     draw_circle(rightHand[X], rightHand[Y], 4, false);
     
     draw_set_color(c_black);
     draw_circle(leftHand[X], leftHand[Y], 4, true);
     draw_circle(rightHand[X], rightHand[Y], 4, true);
   }
   
   // Name
   mask_index = mask_inhabitant_pickup;
    if (instance_position(mouse_x, mouse_y - z, id)) {
      draw_set_color(c_black);
      draw_set_font(-1);
      draw_set_halign(fa_center);
      draw_set_valign(fa_bottom);
      draw_text(x, bbox_top + z, name);
    }
    mask_index = mask_inhabitant;
}