/// @desc Interact
with (obj_inhabitant) {
  mask_index = mask_inhabitant_pickup;
  y += z;
}

if (position_meeting(mouse_x, mouse_y, obj_inhabitant)) {
  System.cursor = cr_drag;
}

if (!liftet_inhabitant) {
  // Pick up
  if (mouse_check_button_pressed(mb_left)) {
    var _current = noone;
    var _list = ds_list_create();
    collision_point_list(mouse_x, mouse_y, obj_inhabitant, true, true, _list, false);
    var _length = ds_list_size(_list);
    for (var i=0; i<_length; i++) {
      if (_current == noone || _list[| i].y > _current.y) {
        _current = _list[| i];
      }
    }
    liftet_inhabitant = _current;
    if (liftet_inhabitant) {
      audio_play_sound(snd_pick_up, 1, false);
    }
    ds_list_destroy(_list);
  }
} else if (mouse_check_button_released(mb_left)) {
  with (liftet_inhabitant) {
  }
  liftet_inhabitant = noone;
}
if (liftet_inhabitant) {
  System.cursor = cr_none;
}

with (obj_inhabitant) {
  mask_index = mask_inhabitant;
  y -= z;
}