/// @desc Setup
state = IDLE;
state_update_timestamp = current_time;
next_state_update = current_time + irandom(3000) + 3000;
target_x = x;
target_y = y;
z = -room_height;
zspeed = irandom(5);
face_dir = choose(UP, DOWN);
coughed = false;
color = $c98df6;

corona_level = 0;
corona_strand = BASE_STRAND;
vaccinated = false;
immunity = 0;

born_in_corona = DAYS >= 1;
contraction_point = 999999;
spread_point = 999999;

// Born with immunity?
if (born_in_corona) {
  immunity = irandom(100) / 100000;
}

// Limbs
leftHand = [ x, y, x, y ];
rightHand = [ x, y, x, y ];
leftFoot = [ x, y, x, y ];
rightFoot = [ x, y, x, y ];

names = [ "Simon", "Milfred", "Lone", "Peter", "Ric", "Joe", "Magnus", "Emil", "Julie", "Kirstine", "Maria", "Jonas", "Juulie", "Kirsten", "Birgit", "Jasper", "Benjamin", "Kristen", "Joan", "Silvia", "Misty", "Ashley", "John", "Betty", "George", "Valentin", "Rudi", "René", "Maiken", "Anders", "Thomas", "Orla", "Alexander", "Caroline", "Torben", "Lars", "Marcus", "Asbjorn", "Soren", "Birna", "Rasmus", "Adam", "Eve" ];
name = names[irandom(array_length_1d(names)-1)];