/// @desc Setup
last_introduction = WEEK;

// World generation
random_set_seed(123456789 + 1337 * System.difficulty);
repeat (12 + System.difficulty * 14) {
  var _pos = get_new_pos();
  var _inhabitant = instance_create_layer(_pos[X], _pos[Y], "Main", obj_inhabitant);
  with (_inhabitant) while (place_meeting(x, y, obj_inhabitant)) {
    var _pos = get_new_pos();
    x = _pos[X];
    y = _pos[Y];
  }
}

randomize();

// Find patient 0
repeat (System.difficulty + 1) {
  var _patient0 = instance_find(obj_inhabitant, irandom(instance_number(obj_inhabitant) - 1));
  while (_patient0.corona_level > 0) {
    _patient0 = instance_find(obj_inhabitant, irandom(instance_number(obj_inhabitant) - 1));
  }
  _patient0.corona_level = 1;
  _patient0.contraction_point = DAYS;
}