return instance_exists(obj_system)
  ? obj_system
  : instance_create_depth(0, 0, -10000, obj_system);

#macro System (get_system())
//#macro _obj_system obj_system





/* A
  By giving the actual object a low-dash before
  it's name, you can make an easy check on macro
  call.
*/
//#macro obj_system (instance_exists(_obj_system) ? _obj_system : instance_create_depth(0, 0, -10000, _obj_system))


/* B
  Same as A, except you give it a more 'important'
  name, and instead refers to the standard name.
*/
//#macro System (instance_exists(obj_system) ? obj_system : instance_create_depth(0, 0, -10000, obj_system))


/* C
  A little more expencive, but by using asset_get_index
  the macro can overwrite the standard name completely.
*/
//#macro obj_system (instance_exists(asset_get_index("obj_system")) ? asset_get_index("obj_system") : instance_create_depth(0, 0, -10000, asset_get_index("obj_system")))